- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.LegacyPlaybookCheckWorkflowNameInDifferentEnvironmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyCheckWorkflowNameInDifferentEnvironments#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyCheckWorkflowNameInDifferentEnvironments

Checks if the specified playbook name is already in use within any environment. Use this method to prevent naming conflicts before creating or updating a response workflow.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyCheckWorkflowNameInDifferentEnvironments`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to check the workflow name in different environments for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "wfName": string } ``` |

| Fields ||
|---|---|
| `wfName` | `string` Required. The workflow name to check in different environments for. |

### Response body

LegacyPlaybookCheckWorkflowNameInDifferentEnvironmentsResponse is a response for checking if the workflow name already exists in different environment. if it exists, the response will contain the identifier of the workflow in the different environment.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": string } ``` |

| Fields ||
|---|---|
| `payload` | `string` Optional. The result of the check. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).